<?php
// 3020.ru - скрипты скачать можно тут
//
$location = true;
//
require_once($_SERVER['DOCUMENT_ROOT']."/instalscript/engine/_inc/sys.php");
//
require_once($_SERVER['DOCUMENT_ROOT']."/instalscript/engine/_inc/fnc/action.php");
//
include_once __DIR__ . '/sett.php';
include_once __DIR__ . '/WapkassaClass.php';

try {
    // Инициализация класса с id сайта и секретным ключом
    $wapkassa = new WapkassaClass(WK_ID, WK_SECRET);

    // Проверка обработчика (PING)
    if ($wapkassa->ping($_POST)) {
        // возврат успешной проверки
        echo $wapkassa->successPing();
    } else {
        // Парсинг входящих параметров
        $params = $wapkassa->parseRequest($_POST);

        $params['id']; // id платежа в системе wapkassa
        $params['site_id']; // id площадки
        $params['time']; // время оплаты в unixtime
        $params['comm']; // комментарий платежа
        $params['amount']; // сумма платежа
        $params['add']; // массив с допольнительными параметрами

// собственный код зачисления платежа на сайте
//
$rub_1 = $params['add']['count']*10/100; //рубли 100%
$rub = $rub_1*10/100; //рубли 10%
//
$gold = $params['add']['count']; //100% золота
//
if($action['tipe'] == 1)$bonus = $params['add']['count']*$action['bonus']/100; else $bonus = 0;
//
$summa_gold = $gold+$bonus; //золото+бонус
//
$ank= fch("SELECT * FROM `users` WHERE `id` = ? LIMIT 1", array($params['add']['user_id'])); //user
//
if ($params['add']['type'] == 'gold' && !empty($wk_cena_gold[$params['add']['count']]) && $wk_cena_gold[$params['add']['count']] <= $params['amount']) {
//
//
//задание на 100 золота
$q_1 = fch("SELECT * FROM `quest_user` WHERE `id_quest` = ? AND `id_user` = ? LIMIT 1", array(1,$params['add']['user_id']));
if($q_1['last'] < time())qry("UPDATE `quest_user` SET `koll` = `koll` + ? WHERE `id` = ? LIMIT 1", array($gold,$q_1['id']));
//
//задание на 1000 золота
$q_2 = fch("SELECT * FROM `quest_user` WHERE `id_quest` = ? AND `id_user` = ? LIMIT 1", array(2,$params['add']['user_id']));
if($q_2['last'] < time())qry("UPDATE `quest_user` SET `koll` = `koll` + ? WHERE `id` = ? LIMIT 1", array($gold,$q_2['id']));
//
//
qry("UPDATE `users` SET `gold` = `gold` + ?, `nabor_coll` = `nabor_coll` + ? WHERE `id` = ? LIMIT 1", array($summa_gold,$gold,$params['add']['user_id'])); //зачисляем золото
//
qry("UPDATE `pay_statistic` SET `rub` = `rub` + ?, `user` = `user` + ? WHERE `id` = ? LIMIT 1", array($rub_1,1,1)); //зачисляем сумму руб (счётчик)
//
qry("INSERT INTO `pay` SET `id_user` = ?, `gold` = ?, `time` = ?, `rub` = ?", array($params['add']['user_id'],$summa_gold,time(),$rub_1)); //список платежей
//
if($ank['ref'] >= 1){
qry("UPDATE `users` SET `ref_rub` = `ref_rub` + ?, `ref_check` = `ref_check` + ? WHERE `id` = ? LIMIT 1", array($rub,3,$ank['ref'])); //10%
//
qry("UPDATE `pay_statistic` SET `ref` = `ref` + ? WHERE `id` = ? LIMIT 1", array($rub,1)); //зачисляем сумму руб (счётчик)
}
//
}

        // возврат успешной обработки
        echo $wapkassa->successPayment();
    }
} catch (Exception $e) {
    // вывод ошибки
    echo 'Ошибка: ' . $e->getMessage() . PHP_EOL;
}